<script>
	import { fly, fade } from 'svelte/transition';
	import { MotionDiv, Motion } from 'svelte-motion';
	export let refresh = '';
	const variants = {
		visible: { opacity: 1, y: 0 },
		hidden: { opacity: 0, y: 50, duration: 1 },
		transition: { duration: 1, times: [0, 0.2, 1] }
	};
</script>

{#key refresh}
	<Motion initial="hidden" transition="transition" animate="visible" {variants} let:motion>
		<div use:motion>
			<slot />
		</div>
	</Motion>
{/key}
